#
# spec file for package kiconthemes
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define lname   libKF5IconThemes5
%define _tar_path 5.26
Name:           kiconthemes
Version:        5.26.0
Release:        3.1
%define kf5_version %{version}
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  karchive-devel >= %{_tar_path}
BuildRequires:  kconfigwidgets-devel >= %{_tar_path}
BuildRequires:  kcoreaddons-devel >= %{_tar_path}
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= %{_tar_path}
BuildRequires:  kitemviews-devel >= %{_tar_path}
BuildRequires:  kwidgetsaddons-devel >= %{_tar_path}
BuildRequires:  cmake(Qt5Core) >= 5.5.0
BuildRequires:  cmake(Qt5DBus) >= 5.5.0
BuildRequires:  cmake(Qt5Svg) >= 5.5.0
BuildRequires:  cmake(Qt5Test) >= 5.5.0
BuildRequires:  cmake(Qt5Widgets) >= 5.5.0
Summary:        Icon GUI utilities
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
# PATCH-FIX-UPSTREAM fix-changing-icon-theme.patch boo#1000519, kde#365363 -- make running applications detect changing the configured icon theme (and as a result not adding wrong icons to the cache)
Patch:          fix-changing-icon-theme.patch
# PATCH-FIX-UPSTREAM Support-non-integer-scale-factors-in-kiconengine.patch boo#1006651, kde#366451 -- make icons sharper (not blurry) with non-integer scale factors
Patch1:         Support-non-integer-scale-factors-in-kiconengine.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library contains classes to improve the handling of icons
in applications using the KDE Frameworks.

%package -n %lname
Summary:        Icon GUI utilities
Group:          System/GUI/KDE
Recommends:     %lname-lang = %{version}

%description -n %lname
This library contains classes to improve the handling of icons
in applications using the KDE Frameworks.

%package devel
Summary:        Icon GUI utilities: Build Environment
Group:          Development/Libraries/KDE
Requires:       %lname = %{version}
Requires:       extra-cmake-modules
Requires:       cmake(Qt5Widgets) >= 5.5.0

%description devel
This library contains classes to improve the handling of icons
in applications using the KDE Frameworks. Development files.

%lang_package -n %lname
%prep
%setup -q
%patch -p1
%patch1 -p1

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang %{name}5
%endif

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%if %{with lang}
%files -n %lname-lang -f %{name}5.lang
%endif

%files -n %lname
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5IconThemes.so.*

%files devel
%defattr(-,root,root)
%{_kf5_bindir}/kiconfinder5
%{_kf5_libdir}/libKF5IconThemes.so
%{_kf5_libdir}/cmake/KF5IconThemes/
%{_kf5_includedir}/*.h
%dir %{_kf5_includedir}/*/
%{_kf5_includedir}/*/
%{_kf5_mkspecsdir}/qt_KIconThemes.pri

%changelog
* Fri Jan 20 2017 wbauer@tmo.at
- Add Support-non-integer-scale-factors-in-kiconengine.patch to
  make icons sharper (not blurry) with non-integer scale factors
  (boo#1006651, kde#366451)
* Thu Jan 19 2017 wbauer@tmo.at
- Add fix-changing-icon-theme.patch to make running applications
  detect changing the configured icon theme and as a result not
  adding wrong icons to the cache (boo#1000519, kde#365363)
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * Greatly improve the performance of makeCacheKey, as it is
    a critical code path in icon lookup
  * KIconLoader: reduce number of lookups when doing fallbacks
  * KIconLoader: massive speed improvement for
    loading unavailable icons
  * Do not clear search line when switching category
  * KIconEngine: Fix QIcon::hasThemeIcon always returning true
    (kde#365130)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
- Drop upstreamed 0001-KIconEngine-Fix-QIcon-hasThemeIcon-always-returning-.patch
* Fri Jul 15 2016 hrvoje.senjan@gmail.com
- Added 0001-KIconEngine-Fix-QIcon-hasThemeIcon-always-returning-.patch
  from upstream
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * Add support for loading and using an icontheme
    in a RCC file automatically
  * Document icon theme deployment on MacOS and Windows,
    see https://api.kde.org/frameworks/kiconthemes/html/index.html
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * Don't make KIconThemes depend on Oxygen (kde#360664)
  * Selected state concept for icons
  * Use system colors for monochrome icons
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * Use appropriate container for internal pointer array
  * Add opportunity to reduce unneeded disk accesses,
    introduces KDE-Extensions
  * Save some disk accesses
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Fri Mar 18 2016 wbauer@tmo.at
- Drop breeze.diff: it caused an incorrect fallback to breeze
  instead of hicolor when a different icon theme is configured, and
  has been reverted (and even rejected in a second try) upstream
  (kde#356064, kde#360664)
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * Make sure variable is being initialized
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Fri Nov 20 2015 hrvoje.senjan@gmail.com
- Added breeze.diff: default to breeze icon theme in order to avoid
  setup with mixed icons (half oxygen, half breeze)
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * kiconthemes now support themes embedded in qt resources inside
    the :/icons prefix like Qt does itself for QIcon::fromTheme
  * Add missing required dependencies
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * KIconLoader: fix reconfigure() forgetting about inherited
    themes and app dirs
  * Adhere better to the icon loading spec
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * Remove temporary string allocations.
  * Remove Theme tree debug entry
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * Don't try to paint the icon if the size is invalid
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * Optimize KIconEngine::availableSizes()
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * KIconDialog can now be shown using the regular
    QDialog show() and exec() methods
  * Fix KIconEngine::paint to handle different devicePixelRatios
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
- Drop no longer needed Requires of the devel subpackage:
  kconfigwidgets-devel, ki18n-devel, kitemviews-devel and
  kwidgetsaddons-devel
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * Fix QIcon::fromTheme(xxx, someFallback) would not
    return the fallback
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
* Sat Dec  6 2014 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.5.0.php
* Sun Nov  2 2014 hrvoje.senjan@gmail.com
- Update to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.4.0.php
* Sat Oct  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.3.0.php
* Tue Sep  9 2014 hrvoje.senjan@gmail.com
- Update to 5.2.0
  * For more details please see:
    http://kde.org/announcements/kde-frameworks-5.2.php
* Sat Aug  2 2014 hrvoje.senjan@gmail.com
- Update to 5.1.0
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.1.php
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Define kf5_version within package
* Tue Jul  1 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Final release of KDE Frameworks 5
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.0.php
- Drop 0001-Allow-passing-custom-theme-base-path-together-with-c.patch,
  merged upstream
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Update to 4.100.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta3.php
- Add baselibs.conf
- Added 0001-Allow-passing-custom-theme-base-path-together-with-c.patch:
  fixes non-SNI Qt icons in systray
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Update to 4.99.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta2.php
* Sat Mar 29 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta1.php
* Tue Mar  4 2014 hrvoje.senjan@gmail.com
- Update to 4.97.0:
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-alpha2.php
* Sat Feb  8 2014 hrvoje.senjan@gmail.com
- Init kiconthemes package
